<%@ page
    import="com.websina.bean.*,com.websina.util.*"
%>
<html>
<head>
<title>Mailbox Monitor</title>
<script type="text/javascript" src="../script/utils.js"></script>
</head>
<body topmargin=0>
<%@ include file="_header.jspf" %>
<%      
  String title = label.get("admin_mailbox");
  boolean isConnected = MailBoxDaemon.isConnected();
  String[] mailboxes = isConnected? MailBoxDaemon.lists() : null;
  String name = request.getParameter("name");
  String action = request.getParameter("action");
%>
<center>
<%-- the title part --%>
<table cellpadding=0 cellspacing=0 border=0>
  <tr><td>&nbsp;</td></tr>
  <tr><td align=center height=30><font size=+1><b><%=title%></b></font></td></tr>
</table>

<table bgcolor="#ffffff" cellpadding=0 cellspacing=0 border=0 width=95%>
<tr><td>
<%=label.get("admin_mailbox_text")%>
<tr><td>
&nbsp;
</td></tr>
</table> 

<%=com.websina.servlet.ServletUtil.formatMessage(com.websina.servlet.SessionUtil.getMessage(session, request))%>
<p>
<%-- display all the started Mailbox Daemons --%>
<% if (mailboxes != null && mailboxes.length > 0) { %>
<table cellpadding=2 cellspacing=1 border=0 class="box">
<tr class="header"><td align=center width=100><b>Mailbox</b></td>
<td align=center width=100><b>Status</b></td><td align=center width=160><b>Action</b>
</td></tr>

<% for (int i=0; i<mailboxes.length; i++) { 
    MailBoxDaemon mb = MailBoxDaemon.getInstance(mailboxes[i]);
    boolean isActive = mb.isActive() && mb.isAlive();
%>
<form method="post" action="<%=contextPath%>/servlet/mailbox">
<input type="hidden" name="token" value='<%=com.websina.servlet.SessionUtil.getToken(session)%>'>
<input type="hidden" name="action">
<input type="hidden" name="name" value="<%=mailboxes[i]%>">
<tr class="f1"><td align=center><%=mailboxes[i]%></td>
<% if (!isActive) { %>
<td width=20 align=center><img src="../img/red-circle.jpg"></td>
<% } else { %>
<td width=20  align=center><img src="../img/green-circle.jpg"></td>
<% } %>

<td align=center>
<nobr>
<% if (!isActive) { %>
<input type="button" class="button" value="Start" onClick="action.value='start'; submit();">
<% } else { %>
<input type="button" class="button" value="Stop" onClick="action.value='stop'; submit();">
<% } %>

<input class="button" type="button" value="<%=label.get("edit_button")%>" 
onClick="location.href='mailbox.jsp?action=add&name='+<%=escape%>('<%=mailboxes[i]%>');">
<input class="button" type="button" value="<%=label.get("delete_button")%>"
onClick="if (confirm('<%=label.getEscaped("delete_confirmation")%>  <%=mailboxes[i]%>')){
action.value='delete'; submit();}">
</nobr>
</td></tr>
</form>
<% }%>
</table>
<p>
<% }%>

<% if (action == null) { if (MailBoxDaemon.getInitError()) { %>
<form method="post" action="<%=contextPath%>/servlet/mailbox">
<%=label.get("admin_mailbox_error")%> &nbsp;&nbsp;&nbsp;
<input type="hidden" name="token" value='<%=com.websina.servlet.SessionUtil.getToken(session)%>'>
<input type="hidden" name="action" value="reload">
<input class="button" type="button" value="<%=label.get("reload_button")%>" onClick="submit();">
<p style='height:220px'></p>
</form>
<% } else if (!isConnected) { %>
<img src="../img/wait.gif" border=0 title="Connecting to mailboxes, please wait ..."> 
<script type="text/javascript">
<!--
  window.onload = function() {
    setTimeout(function() {location.href='mailbox.jsp';}, 6000);
  }
//-->
</script>
<% } else { %>
<form method="post" action="mailbox.jsp">
<input type="hidden" name="action" value="add">
<%=label.get("admin_mailbox_add")%> &nbsp;&nbsp;&nbsp;
<input class="button" type="button" value="<%=label.get("add_button")%>" onClick="submit();">
</form>
<p style='height:220px'></p>
<% }} else if (action.equals("add")) { // mailbox form:
  String host = null;
  String username = null;
  String project_id = null;
  String assignable = null;
  String refresh = null;
  String properties = null;

  MailBoxDaemon mb = null;
  if (name != null) {
    mb = MailBoxDaemon.getInstance(name);
  }
  if (mb != null) {
    host = mb.getHost();
    username = mb.getUsername();
    project_id = mb.getProjectId();
    assignable = mb.getAssignable();
    properties = mb.getProperties();
    refresh = Integer.toString(mb.getRefreshTime());
  }    
%>
<p>
<form name="mbForm" method="post" action="<%=contextPath%>/servlet/mailbox" onsubmit="return false;">
<input type="hidden" name="token" value='<%=com.websina.servlet.SessionUtil.getToken(session)%>'>
<table cellpadding=2 cellspacing=1 border=0 class="box">
<tr><td colspan=2><font size="-1" color="#555555"><b><%=label.get("admin_mailbox_define")%></b></font>
</td></tr>
<tr><td class="e8"><%=label.get("admin_mailbox_host")%></td>
<td class="f1"><input type="text" name="host" value="<%=HtmlParser.escapeQuotation(host)%>" maxlength=200 size=50> </td>
</tr>
<tr><td class="e8"><%=label.get("username")%></td>
<td class="f1"><input type="text" name="username" value="<%=HtmlParser.escapeQuotation(username)%>" maxlength=50 size=25> </td>
</tr>
<tr><td class="e8"><%=label.get("password")%></td>
<td class="f1"><input type="password" name="password" maxlength=50 size=25 autocomplete="off"> </td>
</tr>

<tr><td class="e8"><%=label.get("project_label")%></td>
<td class="f1"><select name="projectId">
       <%=ListMaker.makeOptionList(admin.getProjects(), project_id) %>
    </select></td>
</tr>

<tr><td class="e8"><%=label.get("admin_mailbox_routing")%><font color=red>&#185;</font></td>
<td class="f1"><input type="text" name="assignable" value="<%=HtmlParser.escapeQuotation(assignable)%>" maxlength=255 size=50> </td>
</tr>

<tr><td class="e8"><%=label.get("admin_mailbox_properties")%><font color=red>&#178;</font></td>
<td class="f1"><input type="text" name="properties" value="<%=HtmlParser.escapeQuotation(properties)%>" maxlength=255 size=50> </td>
</tr>

<tr><td class="f1" colspan=2><%=label.get("admin_mailbox_refresh")%> &nbsp;
<input type="text" name="refresh" value="<%=HtmlParser.escapeQuotation(refresh)%>" maxlength=6 size=3></td>
</tr>

<tr><td colspan=2 align=center width=320>
<input class="button" type="button" value="<%=label.get("save_button")%>"
onClick="
if(isEmpty(mbForm.host, 'Field <%=label.get("admin_mailbox_host")%> is required.'))return false;
if(isEmpty(mbForm.username, 'Field <%=label.get("username")%> is required.'))return false;
this.disabled=true; submit();" <%=(admin.getProjects().isEmpty())?"disabled":""%>>

<input class="button" type="button" value="<%=label.get("cancel_button")%>"
onClick="location.href='mailbox.jsp';">
</td></tr></table>
</form>
<p><br>

<table cellpadding=1 cellspacing=1 border=0>
<tr><td>
<font color=red>*</font>
<%=label.get("admin_mailbox_text2")%>
</td></tr>
<tr><td>&nbsp;</td></tr>
<tr><td>
<font color=red>&#185;</font>
<%=label.get("admin_mailbox_note1")%>
</td></tr>
<tr><td>
<font color=red>&#178;</font>
<%=label.get("admin_mailbox_note2")%><br>
&nbsp;&nbsp;mail.store.protocol=pop3s;mail.pop3.port=115;mail.debug=true.
</td></tr></table>
<% } %>
</center>
<%com.websina.servlet.JspUtil.include(application, request, response, out, "/jsp/customizable/footer.html");%>
</body>
</html>